Subject: Re: draft-ietf-ipr-rules-update-00.txt

From: [email-masked]
Date: Fri, 07 Oct 2005 16:11:54 +0000

Simon - even if there was any commentary in the submission as to the transfer of title, a simple submission of any document to anyone, does not convey any title in the document or its content. The concept that anyone owns the EMail sent to them because its email is ludicrous.

Further, to document the absurdity of the current process, if someone sends you a postcard in the US Mail which is what EMail is generally considered, is there a transfer of ownership against the art contained in the Postcard - the answer is NO... so why should there be one with the IETF's submission process as it sits today?

Clearly, an email submission of anything cannot be binding - let alone that the sender is not authenticated nor are the rights that they would be conferring to the IETF. This is the WHOLE problem with the submission and assignment of rights process that I have been objecting to for several years now and which this WG management used to have my input terminated from the WG.

And in closing I would restate that the US and its State's all have specific requirements for the submission of legally binding soft documents and these must be upheld by this organization as well since it is based on a US Corporation.

TG.
 -------------- Original message ----------------------
From: Simon Josefsson <[email-masked]>
> Nathanael Nerode <[email-masked]> writes:
> 
> > There are other problems with rfc3978.
> > Section 5.4:
> >> "Copyright (C) The Internet Society (year).
> >> 
> >>       This document is subject to the rights, licenses and restrictions
> >>       contained in BCP 78, and except as set forth therein, the authors
> >>       retain all their rights."
> >>
> >>Additional copyright notices are not permitted in IETF Documents
> >>except in the case
> > ....
> > This doesn't work for most cases under US copyright law.  The documents' 
> > copyrights are held by their authors unless they are (a) works-for-hire of 
> > the Internet Society or (b) the authors have signed paper documents 
> > transferring copyright.  The authors have the right to have their copyright 
> > notices present, and I don't think it's waiveable.
> 
> For what its worth, when I wanted to put "Copyright (C) Simon
> Josefsson" into RFC 4027, it wasn't allowed.  After some discussions,
> I was entitled to add the following:
> 
> A.  Disclaimer and License
> 
>    Regarding this entire document or any portion of it, the author makes
>    no guarantees and is not responsible for any damage resulting from
>    its use.  The author grants irrevocable permission to anyone to use,
>    modify, and distribute it in any way that does not diminish the
>    rights of anyone else to use, modify, and distribute it, provided
>    that redistributed derivative works do not contain misleading author
>    or version information.  Derivative works need not be licensed under
>    similar terms.
> 
> Since I haven't signed any copyright transfer papers, nor is this
> work-for-hire for the ISOC, I believe I still own the copyright for
> the text that I wrote in that document.
> 
> Regards,
> Simon
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Simon Josefsson <[email-masked]>
Date: Sat, 08 Oct 2005 09:56:07 +0200

How the IETF should acquire the rights it need from contributors is
certainly an interesting question.  As an example, other organizations
typically require a written paper contract.  For example, that is what
the FSF require if you want to contribute code to many GNU projects.

However, I'm not sure the transfer of rights is an important question.

There is little motivation for me to contribute a document to the IETF
and later state that I didn't want that, or even that I challenge the
IETF's rights to that document.  The reason for contributing works to
the IETF should be to further interoperability on the Internet.  So
when I contribute something to the IETF, I want everyone everywhere to
be able to use what I have worked on, so they can implement it and use
it.  The current copying permissions causes problems in the last step,
and that is what I'm trying to point out and eventually change.  I see
few problems in transferring (non-exclusive) rights to the material
that I submit.

Thanks,
Simon

[email-masked] writes:

> Simon - even if there was any commentary in the submission as to the
> transfer of title, a simple submission of any document to anyone,
> does not convey any title in the document or its content. The
> concept that anyone owns the EMail sent to them because its email is
> ludicrous.
>
> Further, to document the absurdity of the current process, if
> someone sends you a postcard in the US Mail which is what EMail is
> generally considered, is there a transfer of ownership against the
> art contained in the Postcard - the answer is NO... so why should
> there be one with the IETF's submission process as it sits today?
>
> Clearly, an email submission of anything cannot be binding - let
> alone that the sender is not authenticated nor are the rights that
> they would be conferring to the IETF. This is the WHOLE problem with
> the submission and assignment of rights process that I have been
> objecting to for several years now and which this WG management used
> to have my input terminated from the WG.
>
> And in closing I would restate that the US and its State's all have
> specific requirements for the submission of legally binding soft
> documents and these must be upheld by this organization as well
> since it is based on a US Corporation.
>
> TG.

---

From: "todd glassey" <[email-masked]>
Date: Sat, 8 Oct 2005 15:10:13 -0700

Simon
----- Original Message ----- 
From: "Simon Josefsson" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; "Nathanael Nerode" <[email-masked]>
Sent: Saturday, October 08, 2005 12:56 AM
Subject: Re: draft-ietf-ipr-rules-update-00.txt

> certainly an interesting question.

Thanks. I thought so too.

> As an example, other organizations

I can understand...

> IETF's rights to that document.

That assumes you always represent yourself before the IETF and for many that
may be true. But for just as many they dont represent themselves, they
represent their employers or sponsors, who own their IP...

So while I agree for your commentary relative to those who are
self-sponsored participants who can sign for themselves,  but there would be
a motivation for those wanting to force some propietary technology into the
public domain, or to prevent it from being patented in certain countries, to
post a document they maybe didnt have the rights to, and in posting it,
claim they did.

Since there is  no possible way to recall a submission, the instant its
posted and published that starts the true IP owners clock's ticking and
terminates their rights to a patent application in Japan at least.

That said - clearly there is damage that can easily be done by submitting
something that you dont have the right to submit, and the IETF surely would
in my opinion, be liable for damages since it has such a vacuous submission
process.

The issues really boil down to IMHO that  IETF wants to be taken seriously
regarding these IP issues, but is unwilling to step to the plate and absorb
the overhead of the processes to properly insure that the IP was transferred
in a legally defensible manner.

Anyway - I have been threatened again by Steve for bringing this up so I am
just responding to your commentary...

> The reason for contributing works to

---

From: "Steven M. Bellovin" <[email-masked]>
Date: Sun, 09 Oct 2005 22:55:44 -0400

>the FSF require if you want to contribute code to many GNU projects.

I'll repeat this for the last time.  The question of whether or not the 
IETF needs to change its procedures for acquiring rights is not in 
scope for this group.  If you feel that it's a real issue, write an I-D 
describing the problem and -- if you wish -- a proposed solution.  I 
strongly suggest that a real attorney be one of the authors of such a 
document.

Once such a document exists, I will poll this group to see if people 
want to pursue it.  If so, I'll ask the IESG for a charter amendment.  
At that time, it will be in scope, and we can discuss it.

Until then, please refrain.  We have a document before us -- a revised 
version was just submitted -- and I would like to keep the discussion 
focused.

		--Steven M. Bellovin, http://www.cs.columbia.edu/~smb